Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkThreshold Class Reference

`#include <vtkThreshold.h>`

Inheritance diagram for vtkThreshold:

[legend]
Collaboration diagram for vtkThreshold:

[legend]
List of all members.

## Detailed Description

extracts cells where scalar value in cell satisfies threshold criterion

Date:
  2003/01/09 19:21:05

Revision:
  1.44

vtkThreshold is a filter that extracts cells from any dataset type that satisfy a threshold criterion. A cell satisfies the criterion if the scalar value of (every or any) point satisfies the criterion. The criterion can take three forms: 1) greater than a particular value; 2) less than a particular value; or 3) between two values. The output of this filter is an unstructured grid.

Note that scalar values are available from the point and cell attribute data. By default, point data is used to obtain scalars, but you can control this behavior. See the AttributeMode ivar below.

See also:
  vtkThresholdPoints vtkThresholdTextureCoords

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Law, Charles (38%)
  - Schroeder, Will (37%)
  - Martin, Ken (12%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkThreshold.h)`
  - .`cxx` (`/Graphics/vtkThreshold.cxx)`

Examples:
  vtkThreshold (Examples)

Tests:
  vtkThreshold (Tests)

Definition at line 64 of file vtkThreshold.h.

## Public Types
typedef vtkDataSetToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ThresholdByLower (float lower)
void | ThresholdByUpper (float upper)
void | ThresholdBetween (float lower, float upper)
virtual float | GetUpperThreshold ()
virtual float | GetLowerThreshold ()
virtual void | SetAttributeMode (int)
virtual int | GetAttributeMode ()
void | SetAttributeModeToDefault ()
void | SetAttributeModeToUsePointData ()
void | SetAttributeModeToUseCellData ()
const char * | GetAttributeModeAsString ()
virtual void | SetAllScalars (int)
virtual int | GetAllScalars ()
virtual void | AllScalarsOn ()
virtual void | AllScalarsOff ()
## Static Public Methods
vtkThreshold * | New ()
int | IsTypeOf (const char *type)
vtkThreshold * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkThreshold ()
| ~vtkThreshold ()
void | Execute ()
int | Lower (float s)
int | Upper (float s)
int | Between (float s)
virtual void | SetInputScalarsSelection (const char *)
virtual char * | GetInputScalarsSelection ()
virtual void | SelectInputScalars (const char *fieldName)
## Protected Attributes
int | AllScalars
float | LowerThreshold
float | UpperThreshold
int | AttributeMode
int(vtkThreshold::* | ThresholdFunction )(float s)
char * | InputScalarsSelection
## Friends
class | vtkCutMaterial

## Member Typedef Documentation

typedef vtkDataSetToUnstructuredGridFilter vtkThreshold::Superclass

| Reimplemented from vtkDataSetToUnstructuredGridFilter. Definition at line 68 of file vtkThreshold.h.

## Constructor & Destructor Documentation

vtkThreshold::vtkThreshold | ( |  | ) | `[protected]`

vtkThreshold::~vtkThreshold | ( |  | ) | `[protected]`

## Member Function Documentation

vtkThreshold* vtkThreshold::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkThreshold::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

int vtkThreshold::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual int vtkThreshold::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

vtkThreshold* vtkThreshold::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkThreshold::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkThreshold::ThresholdByLower | ( | float | lower | ) |

| Criterion is cells whose scalars are less or equal to lower threshold.

void vtkThreshold::ThresholdByUpper | ( | float | upper | ) |

| Criterion is cells whose scalars are greater or equal to upper threshold.

void vtkThreshold::ThresholdBetween | ( | float | lower,
|  | float | upper
| ) |

| Criterion is cells whose scalars are between lower and upper thresholds.

virtual float vtkThreshold::GetUpperThreshold | ( |  | ) | `[virtual]`

| Get the Upper and Lower thresholds.

virtual float vtkThreshold::GetLowerThreshold | ( |  | ) | `[virtual]`

| Get the Upper and Lower thresholds.

virtual void vtkThreshold::SetAttributeMode | ( | int |  | ) | `[virtual]`

| Control how the filter works with scalar point data and cell attribute data. By default (AttributeModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).

virtual int vtkThreshold::GetAttributeMode | ( |  | ) | `[virtual]`

| Control how the filter works with scalar point data and cell attribute data. By default (AttributeModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).

void vtkThreshold::SetAttributeModeToDefault | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (AttributeModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData). Definition at line 98 of file vtkThreshold.h. References VTK_ATTRIBUTE_MODE_DEFAULT.

void vtkThreshold::SetAttributeModeToUsePointData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (AttributeModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData). Definition at line 100 of file vtkThreshold.h. References VTK_ATTRIBUTE_MODE_USE_POINT_DATA.

void vtkThreshold::SetAttributeModeToUseCellData | ( |  | ) | `[inline]`

| Control how the filter works with scalar point data and cell attribute data. By default (AttributeModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData). Definition at line 102 of file vtkThreshold.h. References VTK_ATTRIBUTE_MODE_USE_CELL_DATA.

const char* vtkThreshold::GetAttributeModeAsString | ( |  | ) |

| Control how the filter works with scalar point data and cell attribute data. By default (AttributeModeToDefault), the filter will use point data, and if no point data is available, then cell data is used. Alternatively you can explicitly set the filter to use point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).

virtual void vtkThreshold::SetAllScalars | ( | int |  | ) | `[virtual]`

| If using scalars from point data, all scalars for all points in a cell must satisfy the threshold criterion if AllScalars is set. Otherwise, just a single scalar value satisfying the threshold criterion enables will extract the cell.

virtual int vtkThreshold::GetAllScalars | ( |  | ) | `[virtual]`

| If using scalars from point data, all scalars for all points in a cell must satisfy the threshold criterion if AllScalars is set. Otherwise, just a single scalar value satisfying the threshold criterion enables will extract the cell.

virtual void vtkThreshold::AllScalarsOn | ( |  | ) | `[virtual]`

| If using scalars from point data, all scalars for all points in a cell must satisfy the threshold criterion if AllScalars is set. Otherwise, just a single scalar value satisfying the threshold criterion enables will extract the cell.

virtual void vtkThreshold::AllScalarsOff | ( |  | ) | `[virtual]`

| If using scalars from point data, all scalars for all points in a cell must satisfy the threshold criterion if AllScalars is set. Otherwise, just a single scalar value satisfying the threshold criterion enables will extract the cell.

virtual char* vtkThreshold::GetInputScalarsSelection | ( |  | ) | `[protected, virtual]`

| If you want to threshold by an arbitrary array, then set its name here. By default this in NULL and the filter will use the active scalar array.

virtual void vtkThreshold::SelectInputScalars | ( | const char * | fieldName | ) | `[inline, protected, virtual]`

| If you want to threshold by an arbitrary array, then set its name here. By default this in NULL and the filter will use the active scalar array. Definition at line 131 of file vtkThreshold.h.

void vtkThreshold::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkThreshold::Lower | ( | float | s | ) | `[inline, protected]`

| Definition at line 148 of file vtkThreshold.h.

int vtkThreshold::Upper | ( | float | s | ) | `[inline, protected]`

| Definition at line 149 of file vtkThreshold.h.

int vtkThreshold::Between | ( | float | s | ) | `[inline, protected]`

| Definition at line 150 of file vtkThreshold.h.

virtual void vtkThreshold::SetInputScalarsSelection | ( | const char * |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

friend class vtkCutMaterial`[friend]`

| Definition at line 124 of file vtkThreshold.h.

## Member Data Documentation

int vtkThreshold::AllScalars`[protected]`

| Definition at line 139 of file vtkThreshold.h.

float vtkThreshold::LowerThreshold`[protected]`

| Definition at line 140 of file vtkThreshold.h.

float vtkThreshold::UpperThreshold`[protected]`

| Definition at line 141 of file vtkThreshold.h.

int vtkThreshold::AttributeMode`[protected]`

| Definition at line 142 of file vtkThreshold.h.

int(vtkThreshold::* vtkThreshold::ThresholdFunction)(float s)`[protected]`

char* vtkThreshold::InputScalarsSelection`[protected]`

| Definition at line 153 of file vtkThreshold.h.

The documentation for this class was generated from the following file:

- Graphics/vtkThreshold.h